#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Content: wato plugin for snmp check 'cisco_wlc_temp'
#          to configure waring/critical levels
#
#
register_check_parameters(
    subgroup_environment,
    'cisco_wlc_temp',
    _('Cisco WLC temperatur sensor'),
    Tuple(
        title=_('Cisco WLC temperatur sensor thresholds'),
        elements=[
            Integer(title=_('warning at'), unit=_(u'° celsius'), default_value=50),
            Integer(title=_('critical at'), unit=_(u'° celsius'), default_value=60),
        ]
    ),
    None,
    None
)
